> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.dintero.com/feedback

```json
{
  "path": "/docs/checkout/checkout-webhooks",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Checkout Webhook

> Subscribe to Dintero checkout_transaction webhook events to get notified when a transaction is created, captured, refunded, or voided in real time.

Create a webhooks subscription on `checkout_transaction` event to receive notification
when new transaction is created or updated (captured/refunded or voided)

```json theme={null}
POST https://api.dintero.com/v1/accounts/{ACCOUNT_ID}/hooks/subscriptions
Authorization: Bearer {access_token}
Content-Type: application/json

{
  "config": {
    "url": "https://example.com/checkout-transaction",
    "content_type": "application/json"
  },
  "events": [ "checkout_transaction" ]
}
```

<Info>
  See [Webhooks] for more information about creating webhook subscription
</Info>

### Checkout transaction event

Example of event a subscription can receive

```json theme={null}
{
  "account_id": "P12345678",
  "event": "checkout_transaction",
  "event_delivery": "9ebb6d41-dca5-484e-8330-9c9fa96b60ba",
  "transaction": {
    "id": "P12345678.465UfBENeLpkBvwmqfTC4k",
    "session_id": "P12345678.465U8CUzaPVpneu1wt8Wei",
    "merchant_reference": "ORDER-123",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "merchant_reference_2": "OTHER-ID-123",
    "status": "AUTHORIZED"
  }
}
```

<Info>
  See Checkout API to get more details about the transaction object
  included in the event

  * [GET /v1/transaction/\{id}][GET /v1/transaction/{id}]
</Info>

[Webhooks]: /docs/webhooks

[GET /v1/transaction/{id}]: /payments-api.html#operation/transactions_id_get
